; PlatformIO Project Configuration File
;
;   Build options: build flags, source filter
;   Upload options: custom upload port, speed and extra flags
;   Library options: dependencies, extra library storages
;   Advanced options: extra scripting
;
; Please visit documentation for the other options and examples
; https://docs.platformio.org/page/projectconf.html

[env:nodemcuv2]
platform = espressif8266
board = nodemcuv2
framework = arduino
; upload_flags = --auth=${ota.esp_pw}    
; upload_port = IP ADDRESS
; build_flags = -DESP_NAME=\"${ota.esp_name}\" -DESP_PW=\"${ota.esp_pw}\"
board_build.filesystem = littlefs
lib_deps = 
	ottowinter/ESPAsyncWebServer-esphome@^1.2.7
	lorol/LittleFS_esp32@^1.0.5
	bblanchon/ArduinoJson@^6.17.2
	waspinator/AccelStepper@^1.64
	gitlab-regenbogencode/EasyOTA@0.0.0-alpha+sha.59a1299a1f
[ota]
esp_name = catfeeder                      ;#only use lowercase
esp_pw = TODOSETPW